--- a/syscall.c
+++ b/syscall.c
@@ -125,6 +125,18 @@
 #define TP TRACE_PROCESS
 #define TS TRACE_SIGNAL
 
+#ifndef HAVE_STATFS64
+/*
+ * Ugly hacks for systems that do not have LFS
+ */
+
+#define sys_truncate64  sys_truncate
+#define sys_ftruncate64 sys_ftruncate
+#define sys_getdents64  sys_getdents
+#define sys_statfs64    sys_statfs
+#define sys_fstatfs64   sys_fstatfs
+#endif
+
 static const struct sysent sysent0[] = {
 #include "syscallent.h"
 };
